package com.lemon.lifecenter.service;

import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.lemon.lifecenter.dto.LoginDTO;
import com.lemon.lifecenter.mapper.LoginMapper;

@Service
public class LoginService {
    @Autowired
    private LoginMapper mapper;

    public int selectMemberCount(LoginDTO dto) {
        return mapper.selectMemberCount(dto);
    }

    public LoginDTO selectMemberData(LoginDTO dto) {
        return mapper.selectMemberData(dto);
    }
    
    public Integer updateMemberLoginData(LoginDTO dto) {
        return mapper.updateMemberLoginData(dto);
    }
    
    public int selectMemberIdCount(LoginDTO dto) {
        return mapper.selectMemberIdCount(dto);
    }
    public int selectMemberFailCount(LoginDTO dto) {
        return mapper.selectMemberFailCount(dto);
    }
    
    public void insertAccessHistory(HashMap<String, String> hashMap) {
        mapper.insertAccessHistory(hashMap); 
    }
}
